B3 Release candidate

Got problems with your B2 or B3? Share and get helped!
RandomUsername
Posts: 904
Joined: 09 Oct 2009, 18:49

B3 Release candidate

Post by RandomUsername » 04 Jul 2011, 10:29

Hi all,

I've enabled the B3 release candidate repositories:

Code: Select all

deb http://b3.update.excito.org/ hugo main
deb http://b3.update.excito.org/ upstream_squeeze_forhugo main
and I'm getting a lot of dependicitis when running

Code: Select all

aptitude dist-upgrade

Code: Select all

The following NEW packages will be installed:
  bubba-igd{a} consolekit{a} dc{a} foo2zjs{a} foomatic-db-compressed-ppds{ab} 
  foomatic-filters-ppds{a} hp-ppd{a} hpijs-ppds{a} hplip{a} hplip-cups{a} hplip-data{a} 
  libboost-program-options1.42.0{a} libboost-regex1.42.0{a} libck-connector0{a} 
  libconfig-simple-perl{a} libdbus-glib-1-2{a} libeggdbus-1-0{a} libffi5{a} libgphoto2-2{a} 
  libgphoto2-port0{a} libgssdp-1.0-2{a} libgupnp-1.0-3{a} libhal1{a} libicu44{a} 
  libieee1284-3{a} libipc-run-perl{a} libpam-ck-connector{a} libpolkit-backend-1-0{a} 
  libpolkit-gobject-1-0{a} libsane{a} libsane-extras{a} libsane-hpaio{a} libsoup2.4-1{a} 
  libv4l-0{a} min12xxw{a} minidlna{a} openprinting-ppds{a} pnm2ppa{a} policykit-1{a} 
  python-cups{a} python-cupshelpers{a} python-dbus{a} python-gobject{a} python-imaging{a} 
  python-support{a} sane-utils{a} splix{a} system-config-printer-udev{a} 
The following packages will be upgraded:
  bubba-backend 
1 packages upgraded, 48 newly installed, 0 to remove and 0 not upgraded.
Need to get 37.7MB of archives. After unpacking 122MB will be used.
The following packages have unmet dependencies:
  foomatic-db-compressed-ppds: Conflicts: foomatic-db but 20100630-1 is installed.
                               Conflicts: foomatic-db-hpijs which is a virtual package.
The following actions will resolve these dependencies:

     Remove the following packages:                       
1)     bubba                                              
2)     bubba-backend                                      
3)     bubba-frontend                                     

     Keep the following packages at their current version:
4)     foomatic-db-compressed-ppds [Not Installed]        



Accept this solution? [Y/n/q/?] q
Anyone else run into this?

Cheers.

RandomUsername
Posts: 904
Joined: 09 Oct 2009, 18:49

Re: B3 Release candidate

Post by RandomUsername » 04 Jul 2011, 10:41

NVM, I think I've resolved it by enabling the elvin repo too.

NisseJ
Posts: 40
Joined: 09 Jan 2011, 07:55
Location: Sweden
Contact:

Re: B3 Release candidate

Post by NisseJ » 04 Jul 2011, 13:02

Oh....betas is nice. :)

Well, i tired to activate it with these small clues, so..i have probably killed my B3 :)

Well, experimentation is fun ;)

RandomUsername
Posts: 904
Joined: 09 Oct 2009, 18:49

Re: B3 Release candidate

Post by RandomUsername » 04 Jul 2011, 14:37

Yep. Found one bug already. Will report it tomorrow when I'm at home and can get screen grabs.

johannes
Posts: 1470
Joined: 31 Dec 2006, 07:12
Location: Sweden
Contact:

Re: B3 Release candidate

Post by johannes » 05 Jul 2011, 10:15

Please do report what you find, we are getting close to release. Thanks! :)
/Johannes (Excito co-founder a long time ago, but now I'm just Johannes)

RandomUsername
Posts: 904
Joined: 09 Oct 2009, 18:49

Re: B3 Release candidate

Post by RandomUsername » 05 Jul 2011, 10:19

Hi Johannes,

I've started a dedicated thread here: http://forum.excito.net/viewtopic.php?f=9&t=3143

DanielM
Posts: 637
Joined: 28 Mar 2008, 06:37
Location: Sweden

Re: B3 Release candidate

Post by DanielM » 05 Jul 2011, 12:17

Don't know if I'm stupid here, but I added the repositories to my sources.list, ie:

Code: Select all

# B3 beta
deb http://b3.update.excito.org/ hugo main
deb http://b3.update.excito.org/ upstream_squeeze_forhugo main
...and then I ran the usual

Code: Select all

apt-get update && apt-get dist-upgrade
but it doesn't find any upgrades. What is this???

/Daniel

RandomUsername
Posts: 904
Joined: 09 Oct 2009, 18:49

Re: B3 Release candidate

Post by RandomUsername » 05 Jul 2011, 12:44

Weird. Have you tried It with aptitude instead of apt-get? Also just try

Code: Select all

aptitude upgrade
.

DanielM
Posts: 637
Joined: 28 Mar 2008, 06:37
Location: Sweden

Re: B3 Release candidate

Post by DanielM » 05 Jul 2011, 13:57

Installed aptitude now and tried that. Same result there. Just
Inga paket kommer att installeras, uppgraderas eller tas bort.
0 paket att uppgradera, 0 att nyinstallera. 0 att ta bort och 0 inte uppgraderade.
Behöver hämta 0B arkiv. Efter uppackning kommer 0B diskplats att användas.
(I guess even those of you that don't speak swedish can read the above, right? :D )

/Daniel

RandomUsername
Posts: 904
Joined: 09 Oct 2009, 18:49

Re: B3 Release candidate

Post by RandomUsername » 05 Jul 2011, 14:32

DanielM wrote:(I guess even those of you that don't speak swedish can read the above, right? :D )
Well, I can read the 0's :)

Not sure about this. Can you copy your sources.list for comparison?

DanielM
Posts: 637
Joined: 28 Mar 2008, 06:37
Location: Sweden

Re: B3 Release candidate

Post by DanielM » 05 Jul 2011, 15:04

RandomUsername wrote:Not sure about this. Can you copy your sources.list for comparison?
Quite sure it's correct, when I run apt-get I can see the fetching of metadata from hugo and upstream_squeeze_forhugo. Anyways, here goes (stripped from comments):

Code: Select all

deb http://b3.update.excito.org/ elvin main

deb http://b3.update.excito.org/ upstream_squeeze main

deb http://ftp.se.debian.org/debian squeeze main

deb http://ftp.se.debian.org/debian squeeze contrib

deb http://ftp.se.debian.org/debian squeeze non-free

deb http://backports.debian.org/debian-backports squeeze-backports main

deb http://b3.update.excito.org/ hugo main
deb http://b3.update.excito.org/ upstream_squeeze_forhugo main
Also tried commenting out the squeeze-backports in case it had something with this to do. Didn't make any difference.

/Daniel

RandomUsername
Posts: 904
Joined: 09 Oct 2009, 18:49

Re: B3 Release candidate

Post by RandomUsername » 05 Jul 2011, 15:10

OK. Have your tried disabling the evlin repos? This is the order I did things:

1. comment out the elvin repos.
2. add hugo repos.
3. aptitude update && aptitude upgrade && aptitude dist-upgrade.
4. got dependicitis.
5. added elvin repos back in.
6. aptitude update && aptitude upgrade && aptitude dist-upgrade.

Maybe the upgrade only works when you've got the elvin repo disabled. I don't know. Worth a shot.

DanielM
Posts: 637
Joined: 28 Mar 2008, 06:37
Location: Sweden

Re: B3 Release candidate

Post by DanielM » 05 Jul 2011, 15:19

RandomUsername wrote:OK. Have your tried disabling the evlin repos?
Wow. That really did it...

Code: Select all

224 att uppgradera, 62 att nyinstallera, 0 att ta bort och 1 att inte uppgradera.
So... I don't really have the guts to push "y" now. Did this upgrade break anything for you? I might think about taking backup of stuff before going ahead...

/Daniel

johannes
Posts: 1470
Joined: 31 Dec 2006, 07:12
Location: Sweden
Contact:

Re: B3 Release candidate

Post by johannes » 05 Jul 2011, 15:19

Yes, I think disabling the elvin repos should do the trick. Shortcut:

Code: Select all

change_distribution hugo
apt-get update
apt-get dist-upgrade
/Johannes (Excito co-founder a long time ago, but now I'm just Johannes)

johannes
Posts: 1470
Joined: 31 Dec 2006, 07:12
Location: Sweden
Contact:

Re: B3 Release candidate

Post by johannes » 05 Jul 2011, 15:26

Yes, if you have data or work that's important it might be a good idea to hold your horses for a while with the command line update, Carl discovered a problem in the update system, so to make sure the upgrade goes through without errors we'll push a hotfix before the upgrade.

I suspect the problems you found here is due to a partially failed update (but I'm not sure, for Carl to figure out tomorrow).
/Johannes (Excito co-founder a long time ago, but now I'm just Johannes)

Post Reply